package de.tuberlin.emt.generator.data;

import org.eclipse.emf.ecore.EObject;

import de.tuberlin.emt.model.InputObject;


/**
 * Class : InputData <br/>
 * Package : de.tuberlin.emt.generator.data <br/>
 * Project : de.tuberlin.emt.generator <br/>
 * Created On : 25.10.2006 <br/>
 * Description : Wrapper class to extract information from rule input objects <br/>
 * 
 * @author Enrico Biermann <br>
 * @author Guenter Kuhns <br>
 */
public class InputData {
	private EObject input;
	private SymbolData symbol;
	private String name;
	private String description;
	private int index;
	
	InputData(InputObject io, SymbolData sym) {
		input = io.getObject();
		name = io.getName();
		description = io.getDescription();
		index = io.getIndex();
		symbol = sym;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}

	public EObject getInput() {
		return input;
	}

	public void setInput(EObject input) {
		this.input = input;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public SymbolData getSymbol() {
		return symbol;
	}

	public void setSymbol(SymbolData symbol) {
		this.symbol = symbol;
	}
	
		
	
}
