package de.tuberlin.emt.generator.exception;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import de.tuberlin.emt.generator.GeneratorPlugin;

/**
 * Class : GeneratorException <br/>
 * Package : de.tuberlin.emftransformation.generator.exception <br/>
 * Project : de.tuberlin.emftransformation.generator <br/>
 * Created On : 20.12.2005 <br/>
 * Description : An exception thrown if the generation process failed. <br/>
 * 
 * @author Enrico Biermann <br>
 * @author Guenter Kuhns <br>
 */
public class GeneratorException extends CoreException {

	/**
	 * @param message
	 */
	public GeneratorException(String message) {
		super(new Status(IStatus.ERROR,GeneratorPlugin.ID,0,message,null));
	}
}

/**
 * $Log: GeneratorException.java,v $
 * Revision 1.1  2006/07/17 12:13:55  enrico
 * Initial checkin
 *
 * Revision 1.1  2006/05/22 13:43:03  enrico
 * *** empty log message ***
 *
 * Revision 1.2  2006/03/20 01:26:59  bunjip
 * emfrule -> emftransformation
 *
 * Revision 1.1  2006/03/15 09:42:47  enrico
 * *** empty log message ***
 *
 * Revision 1.1  2006/03/14 17:06:10  eduardw
 * *** empty log message ***
 *
 * Revision 1.1  2005/12/20 15:33:59  enrico
 * initial version
 *
 */
