package de.tuberlin.emt.generator.wizard;

import org.eclipse.jface.dialogs.IDialogPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.dialogs.WizardNewProjectCreationPage;


/**
 * The "New" wizard page allows setting the container for
 * the new file as well as the file name. The page
 * will only accept file name without the extension OR
 * with the extension that matches the expected one (vld).
 */

public class GenerateRuleProjectWizardPage extends WizardNewProjectCreationPage {

	
	private String packageName;
	
	private Text emfProjectText;
	private Text packageText;

	/**
	 * Constructor for SampleNewWizardPage.
	 * @param pageName
	 */
	public GenerateRuleProjectWizardPage(String packageName) {
		super("wizardPage");
		this.packageName = packageName;
		 
		setTitle("EMF Transformation Project");
		setDescription("This wizard create a new rule project from the selected *.emt file.");
	}

	/**
	 * @see IDialogPage#createControl(Composite)
	 */
	public void createControl(Composite parent) {
		super.createControl(parent);
		
		Composite control = (Composite) getControl();

/*		Composite gContainer = new Composite(control, SWT.NULL);
		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
		GridLayout layout1 = new GridLayout();
		gContainer.setLayout(layout1);
		layout1.numColumns = 2;
		layout1.verticalSpacing = 9;
		gContainer.setLayoutData(gd);
		
		Composite aContainer = new Composite(control, SWT.BORDER);
		gd = new GridData(GridData.FILL_HORIZONTAL);
		GridLayout layout2 = new GridLayout();
		aContainer.setLayout(layout2);
		layout2.numColumns = 2;
		layout2.verticalSpacing = 9;
		aContainer.setLayoutData(gd);
		
		Label label = new Label(gContainer, SWT.NULL);
		label.setText("&EMF package name");
		packageText = new Text(gContainer, SWT.BORDER | SWT.SINGLE);
		gd = new GridData(GridData.FILL_HORIZONTAL);
		packageText.setLayoutData(gd);
		
		label = new Label(gContainer, SWT.NULL);
		label.setText("EMF Project Name:");
		emfProjectText = new Text(gContainer, SWT.BORDER | SWT.SINGLE);
		gd = new GridData(GridData.FILL_HORIZONTAL);
		emfProjectText.setLayoutData(gd);*/
		
		initialize();
		dialogChanged();
		setControl(control);
	}
	
	/**
	 * Tests if the current workbench selection is a suitable
	 * container to use.
	 */
	
	private void initialize() {
		setInitialProjectName("RuleProject");
	}
	
	


	
	/**
	 * Ensures that both text fields are set.
	 */

	private void dialogChanged() {
		updateStatus(null);
	}

	private void updateStatus(String message) {
		setErrorMessage(message);
		setPageComplete(message == null);
	}

}